Skip to main content
`Ctrl`+`K`

# PetscFortranCallbackFn

A prototype of a Fortran function provided as a callback

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef void(PetscFortranCallbackFn)(void);

## Notes

`PetscFortranCallbackFn *` plays the role of `void *` for function pointers in the PETSc Fortran API.

## See Also

`PetscVoidFn`, `PetscErrorCodeFn`

## Level

advanced

## Location

include/petsc/private/petscimpl.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages